#include "../ipsc.h"

struct MainControls
{
	GtkWidget *subnet_bits;
	GtkAdjustment *subnet_bits_adj;
	GtkLabel *subnet_bits_label;
	GtkWidget *class_a_button; 
	GtkWidget *class_b_button;
	GtkWidget *class_c_button;
	GtkWidget *notebook;
};

struct GeneralInfo
{
	GtkLabel *tab_label;
	GtkEntry *net_bits;
	GtkEntry *netmask;
	GtkEntry *netmask_hex;
	GtkEntry *subnet_max;
	GtkEntry *subnet_bits;
	GtkEntry *subnet_mask;
	GtkEntry *subnet_mask_hex;
	GtkEntry *host_bits;
	GtkEntry *host_max;
	GtkEntry *bitmap;
};

struct SubnetInfo
{
	GtkLabel *tab_label;
	GtkCList *subnet_list;
};

struct AddressInfo
{
	GtkLabel *tab_label;
	GtkEntry *addr;
	GtkEntry *addr_hex;
	GtkEntry *subnet_range;
	GtkEntry *subnet_mask;
	GtkEntry *subnet_id;
	GtkEntry *network_id;
	GtkEntry *host_id;
};

struct CidrInfo
{
	GtkLabel *tab_label;
	GtkEntry *cisco_wildcard;
};

void create_tabs(void);
void create_general_tab(void);
void create_subnet_tab(void);
void create_host_tab(void);
void create_cidr_tab(void);
