Summary: IP Subnet Calculator
Name: ipsc
Version: 0.3.2
Release: 1
Copyright: GPL
Group: Applications/Networking
Source: http://www.interloper.net/~dan/software/dist/ipsc/ipsc-0.3.0-bin.tar.gz
URL: http://www.interloper.net/~dan/software/software.html
Packager: Raul M. Jorja <r.m.jorja@ieee.org>

%description
The IP Subnet Calculator is a tool that allows network administrators 
to make calculations that will assist in subnetting a network.  It also 
has a number of other useful functions.

%prep
rm -rf $RPM_BUILD_DIR/ipsc
mkdir $RPM_BUILD_DIR/ipsc
cd $RPM_BUILD_DIR/ipsc
zcat $RPM_SOURCE_DIR/ipsc-bin.tar.gz | tar -xvf -

%build

%install
install -s -m 755 -o 0 -g 0 $RPM_BUILD_DIR/ipsc/ipsc /usr/bin/ipsc
install -s -m 755 -o 0 -g 0 $RPM_BUILD_DIR/ipsc/gipsc /usr/bin/gipsc

%files
/usr/bin/ipsc
/usr/bin/gipsc
%doc ipsc/COPYING
%doc ipsc/CONTRIBUTORS
%doc ipsc/INSTALL
%doc ipsc/README
%doc ipsc/ChangeLog
